package nl.kallestruik.darena.util

import org.bukkit.Bukkit
import org.bukkit.GameMode
import org.bukkit.entity.Player

class ArenaUtil {

    fun getPossibleParticipants(): List<Player> {
        Logger.trace(ArenaUtil::class, "getPossibleParticipants()")
        return Bukkit.getOnlinePlayers().filter { it.gameMode == GameMode.SURVIVAL }
    }

    fun getPossibleSpectators(): List<Player> {
        Logger.trace(ArenaUtil::class, "getPossibleSpectators()")
        return Bukkit.getOnlinePlayers().filter { it.gameMode == GameMode.SPECTATOR }
    }
}
